%define name		sdlmess
%define version		0.132
%define release		1rx3
%define job_nb		8





#-----------------------------------------------------------------------------------------------------------------------------------
# Package
#-----------------------------------------------------------------------------------------------------------------------------------

Summary:	SDL-Mess Multiple Emulator Super System
Name:		%name
Version:	%version
Release:	%release

License:	MESS
URL:		http://rbelmont.mameworld.info/?page_id=163
Group:		Emulators
Distribution:	Rx3 Free Software
Vendor:		Rx3
Packager:	Arnaud G. Gibert <arnaud@rx3.net>

Source:		http://rbelmont.mameworld.info/%{name}-%{version}.tar.bz2
Source1:	%{name}-rc.tar.bz2

#Source10:	%{name}-catver-0.124a.ini.bz2
#Source11:	%{name}-cheat-0.123.dat.bz2
#Source12:	%{name}-history-1.23.dat.bz2
#Source13:	%{name}-mameinfo-0.123.dat.bz2

#Patch0:		sdlmess-makefile-fix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires: SDL1.2-devel
BuildRequires: expat-devel
BuildRequires: zlib-devel
BuildRequires: libxinerama-devel
ExclusiveArch: %ix86 x86_64 ppc



%description
This is a simple SDL port of the almost legendary MESS. MESS is a free
emulator which emulates a large variety of different systems (computers
and home entertainment systems).

It uses SDL, and is based on MESS.





#-----------------------------------------------------------------------------------------------------------------------------------
# Prep
#-----------------------------------------------------------------------------------------------------------------------------------

%prep
#%{__rm} -rf %{buildroot}

%setup -q -n %{name}-%{version}
#%patch0 -p1
perl -pi -e "s|-Werror||g" makefile

#bzcat %{SOURCE10}	>catver.ini
#bzcat %{SOURCE11}	>cheat.dat
#bzcat %{SOURCE12}	>history.dat
#bzcat %{SOURCE13}	>mameinfo.dat





#-----------------------------------------------------------------------------------------------------------------------------------
# Build
#-----------------------------------------------------------------------------------------------------------------------------------

%build

%ifarch %ix86
	%define my_arch_flags	I686=1
	%define my_c_flags	-march=pentium2 -mfpmath=387 -mmmx -ffast-math
%endif
%ifarch x86_64
	%define my_arch_flags	PTR64=1
	%define my_c_flags	-march=nocona -mfpmath=sse -msse3 -ffast-math
%endif
%ifarch ppc
	%define my_arch_flags	PPC=1
	%define my_c_flags	-march=generic
%endif

%{__make} -f makefile.sdl -j%{job_nb} PREFIX="sdl" OPTIMIZE=3 SYMBOLS=1 OPT_FLAGS="%{my_c_flags} -DINI_PATH=\\\"$HOME/.sdlmess\;.\;/etc/sdlmess\\\"" %{my_arch_flags}





#-----------------------------------------------------------------------------------------------------------------------------------
# Install
#-----------------------------------------------------------------------------------------------------------------------------------

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_gamesbindir}			\
	     %{buildroot}%{_sysconfdir}/%{name}			\
             %{buildroot}%{_gamesdatadir}/%{name}		\
	     %{buildroot}%{_gamesdatadir}/%{name}/fonts		\
	     %{buildroot}%{_gamesdatadir}/%{name}/keymaps	\
             %{buildroot}%{_gamesdatadir}/%{name}/{artworks,cfgs,comments,ctrlrs,diffs,inps,hashes,memcards,nvrams,roms,samples,snaps,stas,softwares}

#installing the binaries
%{__install} -m 0755 sdlmess	%{buildroot}%{_gamesbindir}/%{name}
%{__install} -m 0755 chdman	%{buildroot}%{_gamesbindir}/chdman-%{name}
%{__install} -m 0755 imgtool	%{buildroot}%{_gamesbindir}/imgtool-%{name}
%{__install} -m 0755 jedutil	%{buildroot}%{_gamesbindir}/jedutil-%{name}
%{__install} -m 0755 ldresample	%{buildroot}%{_gamesbindir}/ldresample-%{name}
%{__install} -m 0755 ldverify	%{buildroot}%{_gamesbindir}/ldverify-%{name}
%{__install} -m 0755 romcmp	%{buildroot}%{_gamesbindir}/romcmp-%{name}
%{__install} -m 0755 testkeys	%{buildroot}%{_gamesbindir}/testkeys-%{name}
#other tools : dat2html, messtest, messdocs, regrep, runtest, src2html, srcclean

#installing ini file
tar xjvf %{SOURCE1} -C %{buildroot}%{_sysconfdir}

#installing font file
install -m 644 ui.bdf		%{buildroot}%{_gamesdatadir}/%{name}/fonts/ui.bdf

#installing keymap files
install -m 644 keymaps/*	%{buildroot}%{_gamesdatadir}/%{name}/keymaps

#installing the sdlmess files
install -m 644 sysinfo.dat	%{buildroot}%{_gamesdatadir}/%{name}/sysinfo.dat

#install -m 644 catver.ini	%{buildroot}%{_gamesdatadir}/%{name}/catver.ini
#install -m 644 cheat.dat	%{buildroot}%{_gamesdatadir}/%{name}/cheat.dat
#install -m 644 mameinfo.dat	%{buildroot}%{_gamesdatadir}/%{name}/mameinfo.dat

#installing the free roms and samples
#tar xjvf %{SOURCE2} -C %{buildroot}%{_gamesdatadir}/%{name}
#tar xjvf %{SOURCE3} -C %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 artwork/*	%{buildroot}%{_gamesdatadir}/%{name}/artworks/
install -m 644 hash/*		%{buildroot}%{_gamesdatadir}/%{name}/hashes/





#-----------------------------------------------------------------------------------------------------------------------------------
# Clean
#-----------------------------------------------------------------------------------------------------------------------------------

%clean
%{__rm} -rf %{buildroot}





#-----------------------------------------------------------------------------------------------------------------------------------
# Files
#-----------------------------------------------------------------------------------------------------------------------------------

%files
%defattr(-,root,root)

%attr(0755,root,games) %{_gamesbindir}/%{name}*
%attr(0755,root,games) %{_gamesbindir}/*-%{name}

%config(noreplace)  %{_sysconfdir}/%{name}/*

#%{_gamesdatadir}/%{name}
#%attr(644,root,games) %{_gamesdatadir}/%{name}

%doc SDLMESS.txt whatsnew.txt docs/*
#{_mandir}/man1/%{name}.1*

%attr(655,root,games) %dir %{_gamesdatadir}/%{name}
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/artworks
%attr(644,root,games) %{_gamesdatadir}/%{name}/artworks/*
%attr(777,root,games) %dir %{_gamesdatadir}/%{name}/cfgs
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/comments
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/ctrlrs
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/diffs
%attr(644,root,games) %dir %{_gamesdatadir}/%{name}/fonts/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/inps
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/hashes
%attr(644,root,games) %{_gamesdatadir}/%{name}/hashes/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/keymaps
%attr(644,root,games) %{_gamesdatadir}/%{name}/keymaps/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/memcards
%attr(777,root,games) %dir %{_gamesdatadir}/%{name}/nvrams
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/roms
#%attr(644,root,games) %{_gamesdatadir}/%{name}/roms/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/samples
#%attr(644,root,games) %{_gamesdatadir}/%{name}/samples/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/snaps
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/stas
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/softwares

%attr(644,root,games) %{_gamesdatadir}/%{name}/sysinfo.dat

#%attr(644,root,games) %{_gamesdatadir}/%{name}/catver.ini
#%attr(644,root,games) %{_gamesdatadir}/%{name}/cheat.dat
#%attr(644,root,games) %{_gamesdatadir}/%{name}/mameinfo.dat

#%attr(644,root,root) %{_liconsdir}/%{name}.png
#%attr(644,root,root) %{_miconsdir}/%{name}.png
#%attr(644,root,root) %{_iconsdir}/%{name}.png





#-----------------------------------------------------------------------------------------------------------------------------------
# ChangeLog
#-----------------------------------------------------------------------------------------------------------------------------------

%changelog
* Mon Jun 22 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.132-1rx3
- Update to 0.132.

* Sun May 17 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.131-1rx3
- Update to 0.131.
- Switch on gl_glsl option in mame.ini.

* Sat Mar 14 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.130-1rx3
- Update to 0.130.
- Add imgtool, jedutil, ldresample and ldverify utilities.

* Mon Jan 12 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.129-1rx3
- Update to 0.129.
- Remove makefile Patch!
- Update mame.ini new options.
- Add SYMBOLS=1 inorder to populate and support sdlmame-debug package.
- Add sysinfo.dat file.
- Support Mandriva 2009.0 x86_64, gcc 4.3.2 and Intel QX6600 8^)

* Tue Oct 28 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.128-1rx3
- Update to 0.128.

* Sun Aug 31 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.127-1rx3
- Update to 0.127.
- Update mess.ini new options.

* Fri Jul 11 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.126-1rx3
- Update to 0.126.
- Switch off "sdlvideofps" option in mess.ini.

* Mon May 19 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.125-2rx3
- Cleanup %build section
- Support ix86 and x86_64 !

* Tue May 13 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.125-1rx3
- Update to 0.125.
- Switch off "log" option in mess.ini.
- Patch makefile.sdl in order to fix a parallel build bug.

* Sun Apr  6 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.124-1rx3
- Initial specfile creation from my sdlmame, xmess and plf specfiles.
